html{font-size: calc(100/1080*100vw);height: 100%;}
/* background-color: rgba(70, 44, 27, 1.00); */

body {margin: 0;width: 100%;height: 100%; position: relative;background-color: rgba(70, 44, 27, 1.00); opacity: 1;transition: opacity .3s ease-in-out;}
a {display: block;text-decoration: none;color: #000;-webkit-tap-highlight-color:transparent}
h2,h3,p{margin: 0;}
ul {margin: 0; padding: 0;list-style: none;}
input{outline: none;border: 0;}

.text-hide {text-indent: -99rem;overflow: hidden;}
.text_hide {text-indent: -99rem;overflow: hidden;}
.h-center {position: absolute;left: 50%; transform: translateX(-50%);}
.flex-center {display: flex;justify-content: center;align-items: center;}

.pre-page {display: block;}
.test-page{display: none;}
.res-page{display: none;}
/* .lottery-page {display: none;} */
.rule-page {display: none;}

.pc_tips { display: none;}
.pc_tips{width: 100vw;height: 100vh;position: fixed;top: 0;left: 0;z-index: 9999999;background:#000 url(//game.gtimg.cn/images/rocom/act/a20250519trait/pc-bg.png) 100% 0 no-repeat;background-size: cover;min-width: 1000px;}
.pc_tips::before{content: "";position: absolute;width: 100vw;height: 100vh;background-color: rgba(0,0,0,.7);}
.pc_tips .main{position: absolute;top: 50%;left: 50%;transform: translate(-50%,-50%);padding: .15rem .15rem .15rem .1rem;text-align: center;box-sizing: border-box;align-items: center;display: flex;flex-direction: column;}

.pc_tips .main .qrcode{width: 256px;height: 256px;background-color: #fff;position: relative;}
.pc_tips .main .qrcode img,
.pc_tips .main .qrcode canvas { width: 95%; height: 95%;position: absolute;left: 50%;top: 50%;transform: translate(-50%,-50%);}
.pc_tips .main p{font-size: .3rem;color: #fff;padding: 15px 0 5px;font-family: 'font_fz';}

.wrap {display: none;}

.act_btn1 {width: 4.73rem;height: 1.39rem;background: url(../img/btn-1.png)no-repeat center/contain;}
.act_btn2 {width: 3.93rem;height: 1.38rem;background: url(../img/btn-8.png)no-repeat center/contain;}
.act_btn3 {width: 4.42rem;height: 1.09rem;background: url(../img/btn-9.png)no-repeat center/contain;}
.act_btn10 {width: 3rem;height: 1.3rem;background: url(../img/btn-10.png)no-repeat center/contain;}
.act_btn11 {width: 5.77rem;height: 1.32rem;background: url(../img/btn-11.png)no-repeat center/contain;}
.res-page .wechat_plaform a.act_btn11{font-size: 0.4rem;}


html {overflow: hidden;}
.wrap {width: 10.8rem;height: 100%;overflow: hidden;margin: 0 auto;font-family: 'font_hyyy';}
/* 处理底部背景 */
.act-bg{width: 100%;height: 100%;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/bg.jpg)no-repeat center/cover;position: relative;}
.act-bg::before{content: "";position: absolute;width: 100%;height: 2.93rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/icon1.png)no-repeat center/contain;top: 0;}
.act-bg::after{content: "";position: absolute;width: 4.33rem;height: 1.51rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/icon2.png)no-repeat center/contain;bottom: 0;right: 0;}

.content-container {width: 100%;height: 17.23rem;background: url(../img/content-bg.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-43%);}
/* .content-container2 {width: 100%;height: 17.7rem;background: url(../img/content-bg2.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-43%);} */
.content-container3 {width: 100%;height: 17.3rem;background: url(../img/content-bg3.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-43%);}
.content-container4 {width: 100%;height: 17.27rem;background: url(../img/content-bg4.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-43%);}
/* .content-container5 {width: 100%;height: 17.29rem;background: url(../img/content-bg5.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-43%);} */

.part_1_top_box {width: 100%; position: absolute;top: 50%;transform: translateY(-9.1rem);z-index: 10;display: flex;box-sizing: border-box;padding: 0 .45rem;align-items: center;}
.part_1_language_box {font-size: .3rem;color: #eaecee;margin: .35rem 0 0 .45rem;}
.part_1_reawrd_btn {font-size: .3rem;color: #eaecee;margin: .35rem 0 0 .5rem;position: relative;display: none;}
.part_1_reawrd_btn.have_award::after {position: absolute;content: '';width: .46rem;height: .41rem;background: url(../img/icon6.png)no-repeat center/contain;right: -.5rem;top: -.2rem;}
.part_1_join_test {width: 4.7rem;height: 2.21rem;background: url(../img/reser_btn.png)no-repeat center/contain;font-size: .27rem;color: #292828;box-sizing: border-box;padding: .4rem 1rem 0 0;margin-left: auto;white-space: nowrap;}
.language_container {display: none; position: absolute;width: 10.8rem;height: var(--page-height);background-color: rgba(0, 0, 0, .6);z-index: 900;}
.language_container ul {width: 90%;position: absolute;left: 50%;top: 50%;transform: translate(-50%,-50%);}
.language_container ul li {font-size: .4rem;color: #f4eee1;text-align: center;box-sizing: border-box;padding: .25rem 0;}
.language_container ul li[data-lang="ja"]{font-family: 'font_ja';}








.p1-title {width: 9.7rem;height: 2.37rem;background: url(../img/en/p1-title.png)no-repeat center/contain;top: 1.35rem;z-index: 10;left: 50%;transform: translateX(-51%);}
.pre-page::after {content: "";position: absolute;width: 8.61rem;height: 9.64rem;background: url(../img/p1-role.png)no-repeat center/contain;left: 50%;top: 50%;transform: translate(-50%,-57%);z-index: 500;}

.enter-test {width: 5.82rem;height: 1.55rem;background: url(../img/btn-7.png)no-repeat center/contain;bottom: 2.8rem;z-index: 500;font-size: .4rem;color: #292828;box-sizing: border-box;padding: 0 0 .2rem .7rem;white-space: nowrap;}

.part_1_bottom_box {position: absolute;width: 100%;bottom: 2.2rem;box-sizing: border-box;padding: 0 1.67rem;display: flex;justify-content: center;align-items: center;}
.part_1_bottom_box .part_1_how_old {display: flex;position: relative;width: fit-content;align-items: center;}
.part_1_bottom_box .part_1_how_old .checkbox {display: block; width: .32rem;height: .32rem;background: url(../img/checkbox.png)no-repeat center/contain;margin-right: .1rem;}
.part_1_bottom_box .part_1_how_old .checkbox.active {background: url(../img/checkbox_active.png)no-repeat center/contain;}
.part_1_bottom_box .part_1_how_old .is_18 {display: block; font-size: .3rem;color: #272523;border-bottom: .02rem solid #827668;}
.part_1_rule_event {font-size: .3rem;color: #48433e;white-space: nowrap;position: relative;border-bottom: .02rem solid #827668;box-sizing: border-box;padding: 0 .4rem;font-family: 'font_fz';}
.part_1_rule_event::before {content: '';position: absolute;width: .23rem;height: .22rem;background: url(../img/star_icon.png)no-repeat center/contain;top: 50%;transform: translateY(-45%);left: 0;}
.part_1_rule_event::after {content: '';position: absolute;width: .23rem;height: .22rem;background: url(../img/star_icon.png)no-repeat center/contain;top: 50%;transform: translateY(-45%);right: 0;}


/* 答题页 */
.p2-question {width: 100%;box-sizing: border-box;padding: 0 1.2rem;display: flex;justify-content: space-around;align-items: center;top: 2.5rem;z-index: 500;}
.p2-question .index-icon{display: flex; width: 1rem;height: .97rem;background: url(../img/index-icon.png)no-repeat center/contain;font-size: .55rem;color: #4a4946;justify-content: center;align-items: center;}
.p2-question .question{display: block; width: 7.5rem;box-sizing: content-box;padding-top: .1rem;margin-left: .2rem;font-size: .4rem;color: #383838;}

.p2-list {top: 4.3rem;z-index: 500;}
.p2-list li {width: 7.6rem;height: 1.47rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/li-bg.png)no-repeat center/contain;font-size: .36rem;display: flex;justify-content: center;align-items: center;margin: .4rem 0;color: #393837;box-sizing: border-box;padding: 0 .4rem;text-align: center;line-height: 1.2;}
.p2-list li.active {width: 7.6rem;height: 1.47rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/li-bg-active.png)no-repeat center/contain;}

.p2-btn{width: 4.73rem;height: 1.39rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/btn-1.png)no-repeat center/contain;display: flex;justify-content: center;align-items: center;top: 13rem;z-index: 600;font-size: .4rem;pointer-events: initial;color: #292929;font-weight: bold;box-sizing: border-box;padding-bottom: .1rem;}
.p2-btn.forbin-btn {width: 4.73rem;height: 1.39rem;background: url(//game.gtimg.cn/images/rocom/act/a20250519trait/btn-1-1.png)no-repeat center/contain;display: flex;justify-content: center;align-items: center;top: 12.5rem;z-index: 500;font-size: .7rem;pointer-events: none;}

.res-page .get-role {position: absolute; width: auto;height: 8.11rem;top: 50%;left: 50%; transform: translate(-50%,-48%);}

.res-page .your-in-role {width: 8.49rem;height: 2.09rem;background: url(../img/en/result_title.png)no-repeat center/contain;top: 2rem;}
.res-page .find-role {width: 8.56rem;height: 2.17rem;background: url(../img/en/guest_title.png)no-repeat center/contain;top: 2rem;}
.res-page .share-my-role {width: 5.4rem;height: 1.27rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/btn-2.png)no-repeat center/contain;font-size: .45rem;display: flex;justify-content: center;align-items: center;position: absolute;left: .8rem;top: 13rem;box-sizing: border-box;padding-left: .4rem;padding-bottom: .1rem;z-index: 500;}
.res-page .test-again {width: 2.85rem;height: 1.14rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/btn-3.png)no-repeat center/contain;position: absolute;right: 1.2rem;top: 13rem;font-size: .45rem;display: flex; justify-content: center;align-items: center;z-index: 500;}
.res-page .show-picture {width: 4rem;height: .6rem;background: url(//game.gtimg.cn/images/rocom/act/a20250519trait/icon4.png)no-repeat center/contain;font-size: .3rem;top: 14.5rem;box-sizing: border-box;padding-bottom: .1rem;z-index: 500;color: #44403b;white-space: nowrap;}
.res-page .show-picture::after{content: '';position: absolute;left: 50%;transform: translateX(-50%);bottom: .1rem;width: 3rem;height: .01rem;background-color: #333;}
.res-page .wechat_plaform {position: absolute;width: 100%;top: 13.6rem;display: flex;justify-content: center;align-items: center;}
.res-page .wechat_plaform a {font-size: .38rem;display: flex;justify-content: center;align-items: center;margin: 0 .15rem;font-weight: bold;text-align: center;box-sizing: border-box;padding-bottom: .1rem;white-space: nowrap;}
/* .res-page .wechat_plaform a.share-my-role2{display: none;} */

/* 活动规则页 */
.rule-page .rule_title {font-size: .36rem;color: #292828;text-align: center;font-weight: bold;margin-top: 2.53rem;}
.rule-page .rule_part_content {width: 85%;font-size: .3rem;color: #383838;box-sizing: border-box;overflow-y: auto;height: 10rem;margin: .5rem 0 0 1rem;padding-right: .2rem;line-height: 1.4;}
.rule-page .close_rule_page {font-size: .4rem;color: #292929;margin: .5rem auto 0 auto;}





/* 抽奖页 */
.lottery-page .p4-title {width: 6.95rem;height: 1.02rem;background: url(../img/en/draw_top_title.png)no-repeat center/contain;top: 2.13rem;transform: translateX(-50%) rotate(.5deg);}

.lottery-page .my-award {font-size: .3rem;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding: 0 .2rem; top: 3.32rem;color: #716759;z-index: 500;border-bottom: .01rem solid #71685b;}
.lottery-page .my-award::before {content: '';position: absolute;width: .23rem;height: .22rem;background: url(../img/star_icon.png)no-repeat center/contain;left: -.2rem;top: 50%;transform: translateY(-50%);}
.lottery-page .my-award::after {content: '';position: absolute;width: .23rem;height: .22rem;background: url(../img/star_icon.png)no-repeat center/contain;right: -.2rem;top: 50%;transform: translateY(-50%);}

.lottery-page .back-to-res {font-size: .3rem;position: absolute;left: .5rem;top: 2.3rem;}
.lottery-page .back-to-res i {display: block;width: .4rem;height: .4rem;background: url(//game.gtimg.cn/images/rocom/act/a20250519trait/back.png)no-repeat center/contain;}

.lottery-page .progress-box {width: 100%; height: 3rem; position: absolute;top: 3.6rem; }
.progress-box .line {height: .1rem; top: 1.4rem;border-radius: .1rem;}
.progress-box i{display: block;width: .3rem;height: .3rem;border-radius: 50%; background-color: #a7a397;position: absolute;top: 1.3rem;z-index: 500;}
.progress-box .my-line {width: 0rem; background-color: #fcb641;position: absolute;left: 1.5rem;z-index: 500;}
/* 第一站是1.32rem 第二站是4.05rem  第三站是6.95rem*/
.progress-box .my-line.has-icon::after {content: "";position: absolute; width: .36rem;height: .39rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/icon7.png)no-repeat center/contain;right: 0;top: 50%;transform: translateY(-50%);}
.progress-box i.point1 {left: 3.45rem;}
.progress-box i.point2 {left: 7.15rem;}

.progress-box .sum-line {width: 7.8rem; background-color: #a7a397;}
.progress-box .sum-line .btn{width: 1.85rem;height: .53rem; background-color: #a7a397;font-size: .35rem;border-radius: 1rem;position: absolute;top: -.8rem;color: #292929;font-weight: bold;}
.progress-box .sum-line .btn1 {left: 1.2rem;}
.progress-box .sum-line .btn2 {left: 4.9rem;}

.progress-box .sum-line .btn.no-get {pointer-events: none;}
.progress-box .sum-line .btn.can-get {pointer-events: initial;background-color: #ffc65f;}
.progress-box .sum-line .btn.can-get::after {content: "";position: absolute;width: .46rem;height: .41rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/icon6.png)no-repeat center/contain;right: -.2rem;top: -.2rem;}
.progress-box .sum-line .btn.is-get {pointer-events: none;background-color: #b28a42;}

.progress-box .task {font-size: .26rem;color: #71675a;position: absolute;top: 1.7rem;text-align: center;line-height: 1.1;}
.progress-box .task1 {left: 2.8rem;}
.progress-box .task2 {left: 6.1rem;}

.lottery-page .invite{font-size: .32rem;box-sizing: border-box;padding: 0 0 .1rem .3rem;top: 6.2rem;font-weight: bold;}

.lottery-box {width: 8.48rem;top: 8rem;}
.lottery-box .draw_title {width: 7rem;height: .91rem;background: url(../img/en/draw_bottom_title.png)no-repeat center/contain;margin: 0 auto;}
.lottery-box .my-time {font-size: .3rem;white-space: nowrap;color: #71675a;text-align: center;margin-top: .2rem;}
.lottery-box .my-time .times{color: #ffc65f;font-weight: 600;margin-left: .1rem;}

.lottery-box .award_lst {display: flex;justify-content: space-between;align-items: center;margin-top: .5rem;}
.lottery-box .award_lst li {width: 2.71rem;height: 2.07rem;background: url(../img/award_bg.png)no-repeat center/contain;position: relative;font-size: .28rem;color: #262626;text-align: center;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding: 0 .2rem;}
.lottery-box .award_lst li img {width: 1.48rem;height: .93rem;object-fit: cover;position: absolute;left: 50%;top: 50%;transform: translate(-50%,-80%);}
.lottery-box .award_lst li .award_name {width: 2.71rem;height: .71rem;position: absolute;left: 0;bottom: 0;background: url(../img/award_name_bg.png)no-repeat center/contain;font-size: .2rem;color: #fcb641;display: flex;justify-content: center;align-items: center;}

.lottery-box .lottery {width: 2.81rem;height: 1.77rem;background: url(../img/lottery.png)no-repeat center/contain;font-size: .65rem;color: #272727;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding-bottom: .1rem;margin: .6rem auto 0 auto;text-align: center;}
.lottery-box .lottery.can-lottery {width: 2.11rem;height: 1.64rem;background: url(//game.gtimg.cn/images/rocom/act/a20250519trait/lottery.png)no-repeat center/contain;pointer-events: initial;}

/* ------------------------------------------------------------------------------------------------------------------------- */
/* 模板页面 */
/* .template-page {display: block;width: 10.8rem;height: 100vh;background: url(../img/bg.jpg)no-repeat center/cover;position: absolute;left: 0;top: 0;z-index: 10000;}
.template-page .p_logo {width: 2.14rem;height: .98rem;background: url(../img/logo_en.png)no-repeat center/contain;position: absolute;left: .8rem;top: .6rem;}
.ja .template-page .p_logo {width: 2.2rem;height: 1.13rem; background: url(../img/logo_ja.png)no-repeat center/contain;top: .55rem;}
.template-page .your-in-role {width: 8.49rem;height: 2.09rem;background: url(../img/en/result_title.png)no-repeat center/contain;margin: 2rem auto 0 auto;}
.template-page .get-role {display: block; width: auto;height: 8rem;margin: .5rem auto 0 auto;}
.template-page .picQrcode {width: 2rem;height: 2rem;margin: .5rem auto 0 auto;background-color: #fff;position: relative;}
.template-page .picQrcode img,.template-page .picQrcode canvas {position: absolute; width: 1.9rem;height: 1.85rem;left: 50%;top: 50%;transform: translate(-50%,-50%);} 
.ja .template-page .your-in-role {width: 9.56rem;height: 2.44rem;background: url(../img/ja/result_title.png)no-repeat center/contain;} */
.template-page {display: block;width: 1080px;height: 2100px;background: url(../img/bg.jpg)no-repeat center/cover;position: absolute;left: -9999px;top: 0;z-index: 10000;}
.template-page .p_logo {width: 214px;height: 98px;background: url(../img/logo_en.png)no-repeat center/contain;position: absolute;left: 80px;top: 60px;}
.ja .template-page .p_logo {width: 220px;height: 113px; background: url(../img/logo_ja.png)no-repeat center/contain;top: 55px;}
.template-page .content-container4 {width: 1080px;height: 1727px;background: url(../img/content-bg4.png)no-repeat center/contain;position:absolute; top: 50%;transform: translateY(-46%);}
.template-page .your-in-role {width: 849px;height: 209px;background: url(../img/en/result_title.png)no-repeat center/contain;margin: 200px auto 0 auto;}
.template-page .get-role {display: block; width: auto;height: 800px;margin: 50px auto 0 auto;}
.template-page .picQrcode {width: 200px;height: 200px;margin: 50px auto 0 auto;background-color: #fff;position: relative;}
.template-page .picQrcode img,.template-page .picQrcode canvas {position: absolute; width: 190px;height: 185px;left: 50%;top: 50%;transform: translate(-50%,-50%);}
.ja .template-page .your-in-role {width: 956px;height: 244px;background: url(../img/ja/result_title.png)no-repeat center/contain;}
/* ------------------------------------------------------------------------------------------------------------------------- */

/* 保存图片弹窗 */
.save_phone_page {display: none;width: 10.8rem;height: 100vh;background: url(../img/bg.jpg)no-repeat center/cover;position: absolute;left: 0;top: 0;z-index: 990;}
.save_phone_page .close_page {width: .49rem;height: .51rem;background: url(../img/close.png)no-repeat center/contain;position: absolute;right: .5rem;top: .5rem;z-index: 999;}
.save_phone_page .save_image{width: 100%;height: 100%;}
.save_phone_page .save_image img{width: 100%;height: 100%;}
.save_phone_page .tips {font-size: .3rem;color: #f4eee1;font-family: 'font_fz';font-weight: bold;text-align: center;position: absolute;left: 50%;transform: translateX(-50%);top: 1.2rem;white-space: nowrap;} 


/* 弹窗 */
.pop_mask_mf {width: 100%;height: 100%;position: fixed;top: 0;left: 0;background: #000;opacity: 0.7;z-index: 999;display: none;text-indent: -99rem;overflow: hidden;}
.layer-center {position: fixed;left: 50%;top: 50%;transform: translate(-50%,-50%);z-index: 999;}
.close {width: .49rem;height: .51rem;background: url(../img/close.png)no-repeat center/contain;position: absolute;right: 0;top: -.8rem;text-indent: -99rem;overflow: hidden;}
.close2 {width: .8rem;height: .82rem;background: url(../img/close2.png)no-repeat center/contain;position: absolute;right: -.4rem;top: -1rem;z-index: 999;}
.layer1 {width: 9.2rem;height: 7.32rem;background-color: #f4eee0;border-radius: .1rem;}
.layer2 {width: 9.19rem;height: 8.21rem;background-color: #f4eee0;border-radius: .1rem;}

.layer_title1 {width: 8.95rem;height: 1.28rem;background: url(../img/layer_title_bg2.png)no-repeat center/contain;margin: .1rem auto;font-size: .6rem;color: #f4eee1;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding-bottom: .2rem;text-align: center;}
.layer_title2 {width: 8.95rem;height: 1.28rem;background: url(../img/layer_title_bg2.png)no-repeat center/contain;margin: .1rem auto;font-size: .33rem;color: #f4eee1;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding-bottom: .2rem;text-align: center;}

.layer-text {width: 100%; font-size: .4rem;position: absolute;left: 50%;top: 50%; transform: translate(-50%,-50%);text-align: center;box-sizing: border-box;padding: 0 .5rem;line-height: 1.3;}
.layer-btn {width: 3.47rem;height: .91rem; font-size: .45rem;background: url(https://game.gtimg.cn/images/rocom/act/a20250519trait/btn-5.png)no-repeat center/contain;top: 5.5rem;}
.layer-title {position: absolute;font-size: .6rem;color: #f4eee1;left: 50%;transform: translateX(-50%);top: .4rem;white-space: nowrap;}

/* 社媒分享 */
.share_layer {display: none;}
.share_layer .clipboard {font-size: .36rem;color: #eaa926;font-family: 'font_fz';width: 100%;text-align: center;margin-top: .5rem;}
.share_layer .share_description {font-size: .36rem;color: #272727;font-family: 'font_fz';box-sizing: border-box;padding: 0 .45rem;text-align: center;margin-top: .3rem;}
.share_layer .platform_box {display: flex; width: 5.5rem; flex-wrap: wrap;margin: .6rem auto 0 auto;justify-content: center;column-gap: .4rem;}
.share_layer .platform_box li {height: fit-content;margin-bottom: .15rem;}
.share_layer .platform_box li a {display: flex;justify-content: center;align-items: center;flex-direction: column;width: 1.5rem;}
.share_layer .platform_box img {width: 1.22rem;height: 1.23rem;object-fit: cover;margin-bottom: .1rem;flex-direction: column;}
.share_layer .platform_box span {font-size: .2rem;font-family: 'font_fz';}

/* 通用弹窗 */
.common_layer {display: none;}
.layer_content {width: 100%;height: 100%;display: flex;flex-direction: column;position: relative;}
.layer_content .common_text {font-size: .48rem;color: #000000;font-family: 'font_fz';display: flex;justify-content: center;align-items: center;text-align: center; flex: 1;box-sizing: border-box;padding:0 .4rem .8rem .4rem;}
.layer_content .ensure_btn {font-size: .5rem;display: flex;justify-content: center;align-items: center;position: absolute;bottom: .5rem;left: 50%;transform: translateX(-50%);}

/* 获得奖励弹窗 */
.get_award_layer {display: none;}
.get_award_layer .award_box {width: 5.26rem;height: 3.09rem;background: url(../img/layer_award.png)no-repeat center/contain;margin: .75rem auto 0 auto;position: relative;}
.get_award_layer .award_box p.award_name {width: 5.22rem;height: 1.05rem;background: url(../img/award_name_bg2.png)no-repeat center/contain;position: absolute;left: 0;bottom: 0;font-size: .4rem;color: #fcb641;font-family: 'font_hyyy';display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding-bottom: .1rem;}
.get_award_layer .view_code {width: 3.47rem;height: .91rem;background: url(../img/btn-5.png)no-repeat center/contain;font-size: .46rem;color: #292828;display: flex;justify-content: center;align-items: center;box-sizing: border-box;padding-bottom: .1rem;margin: .4rem auto 0 auto;}

.get_new_chance {display: none;}

/* 所有奖励弹窗 */
.my_award_layer {display: none;}
.my_award_layer .my_award_box {width: 8.85rem;border: .02rem solid #cbc6bb;margin: .4rem auto 0 auto;border-radius: .1rem}
.my_award_layer .my_award_box .list_title {font-size: .32rem;color: #272727;height: .7rem;display: flex;justify-content: center;align-items: center;}
.my_award_layer .my_award_box ul li {height: .7rem;display: flex;justify-content: center;align-items: center;font-size: .26rem;border-top: .02rem solid #cbc6bb;}
.my_award_layer .my_award_box ul li a {color: #ffc65f;}




/* 横屏提示 */
.landscape{display: none; width: 100vw;height: 100vh;background-color: #333;z-index: 9999;position: fixed;left: 0;top: 0;z-index: 99999;justify-content: center;align-items: center;flex-direction: column;}
.landscape img{display: block; width: 25vh;height: 25vh;transform: rotate(-90deg);}
.landscape p {font-size: 20px;color: #fff;font-family: 'font_fz';margin-top: .5rem;}


/* 提示toast */
.toast-for-result {position: fixed; top: 50%; left: 50%; min-width: 5.6rem; height: .68rem;transform: translate(-50%,-50%);line-height: .68rem; text-align: center; color: #ffffff!important; z-index: 9999; background: rgba(0, 0, 0, .8); border-radius: .68rem; white-space: nowrap; display: block; font-size: 0.3rem;color: #f4eee1;box-sizing: border-box;padding-left: .65rem;padding-right: .2rem;font-family: 'font_fz';}
.toast-for-result::after {content: "";width: .46rem;height: .46rem;background: url(//game.gtimg.cn/images/rocom/m/m202407/home/modal/icon-toast.png) 50% 50% / 100% 100% no-repeat;position: absolute;top: .1rem;left: .1rem;user-select: none;pointer-events: none;}
.toast-for-result {min-width: 7rem; height: .8rem;line-height: .8rem; border-radius: .8rem; font-size: 0.36rem;padding-left: .8rem;padding-right: .3rem;}
.toast-for-result::after {width: .6rem;height: .6rem;top: .1rem;left: .1rem;}


.page_ .p_logo {width: 2.14rem;height: .98rem;background: url(../img/logo_en.png)no-repeat center/contain;position: absolute;left: .8rem;top: .6rem;}
.ja .page_ .p_logo {width: 2.2rem;height: 1.13rem; background: url(../img/logo_ja.png)no-repeat center/contain;top: .55rem;}


.en .part_1_bottom_box .part_1_how_old .is_18 {font-family: 'font_fz';}
.en .rule-page .rule_part_content {font-family: 'font_fz';}
.en .p2-list li {font-family: 'font_fz';}
.en .progress-box .task {font-family: 'font_fz';}

.ja {font-family: 'font_ja';}
.ja a ,.ja span {font-family: 'font_ja';}
.ja .part_1_join_test {font-size: .3rem;}
.ja .p1-title {width: 9.51rem;height: 2.58rem;background: url(../img/ja/p1-title.png)no-repeat center/contain;}
.ja .rule-page .rule_part_content {line-height: 1.7;}
.ja .res-page .your-in-role {width: 9.56rem;height: 2.44rem;background: url(../img/ja/result_title.png)no-repeat center/contain;}
.ja .res-page .find-role {width: 8.76rem;height: 2.23rem;background: url(../img/ja/guest_title.png)no-repeat center/contain;top: 2rem;}
.ja .res-page .wechat_plaform a {font-size: .44rem;}
.ja .lottery-page .p4-title {width: 7.55rem;height: 1.18rem;background: url(../img/ja/draw_top_title.png)no-repeat center/contain;top: 2.1rem;}
.ja .lottery-box .draw_title {width: 4.24rem;height: 1.05rem;background: url(../img/ja/draw_bottom_title.png)no-repeat center/contain;}
.ja .progress-box .sum-line .btn {font-size: .26rem;}
.ja .share_description,
.ja .clipboard ,
.ja .share_layer .platform_box span,
.commonLayer ,
.ja .layer_content .common_text{font-family: 'font_ja';}


.ja .landscape p  {font-family: 'font_ja2';}


/* 宽屏移动端 */
@media (min-aspect-ratio: .624) and (max-width: 720px) {
    /* html {font-size: calc(100/2100*var(--page-height));} */
    .wrap {width: 10.8rem;height: var(--page-height);}
}


/* @media (min-aspect-ratio: .624) and (min-width: 720px) {
    html {font-size: calc(100/2100*var(--page-height));}
    html.isM {font-size: calc(100/2100*var(--page-height));}
    html.isPad {font-size: calc(100/2100*var(--page-height));}
    .wrap {width: 10.8rem;height: var(--page-height);}
} */

/* 宽屏平板端 */
/* @media (min-aspect-ratio: .624)  {
    html {font-size: calc(100/2100*var(--page-height));}
    
    .wrap {width: 10.8rem;height: 100%;}
} */


/* 
 <!-- 四、邀请好友，抽奖，解锁不同福利 -->
        <section class="lottery-page content-container5 page_" id="lotteryPage">
            <h2 class="p4-title text-hide h-center str44">完成任务获得更多抽奖次数</h2>
            <a href="javascript:openrewardlist();" id="giftListV2" class="my-award h-center str8">Rewards</a>
            <!-- 里程碑 -->
            <section class="progress-box">
                <div class="line sum-line h-center">
                    <!-- 用类名控制三个状态的按钮，未达成no-get 领取can-get 已领取 is-get -->
                    <a href="javascript:;" class="btn btn1 flex-center no-get str42" id="takeAnskerGiftBtn">Claim</a>
                    <a href="javascript:;" class="btn btn2 flex-center no-get str42" id="takeShareGiftBtn">Claim</a>
                </div>
                <div class="line my-line"></div>
                <i class="point point1 text-hide">目标1</i>
                <i class="point point2 text-hide">目标2</i>
                <p class="task task1 str45">Complete Quiz<br>(+1 Draw)</p>
                <p class="task task2 str46">Share on Social Media<br>(+1 Draw)</p>
            </section>
            <!-- 邀请好友 -->
            <a href="javascript:;" id="inviteFriend" class="act_btn3 invite h-center flex-center str39">Share jini Friend</a>
            <!-- 抽奖 -->
            <section class="lottery-box h-center">
                <p class="draw_title text-hide">抽奖会</p>
                <p class="my-time"><span class="str47">Draws Left:</span><span class="times" id="times">0</span></p>
                <ul class="award_lst">
                    <li>
                        <img src="./img/award1.png" alt="">
                        <p class="award_name str58">$10 Amazon Gift Card</p>
                    </li>
                    <li>
                        <img src="./img/award1.png" alt="">
                        <p class="award_name str59">$20 Amazon Gift Card</p>
                    </li>
                    <li class="str60">Thanks for Joining</li>
                </ul>
                <a href="javascript:;" id="lotteryBtn" class="lottery str41">Draw</a>
            </section>
        </section> */


/* 
&lt;!DOCTYPE hmg
an=quoedcrsUF-8viwp,f1.0xb/yRI《洛克王国：世界》是腾讯魔方工作室群自主研发的“”续。玩家将在与精灵共存法中，扮演一名学院新生通过建立羁绊逐步了解奥秘展开冒险之旅游戏以捕捉培养为牵引阵容构筑和回合策略手段致力于4亿老朋友们打造个充满期待！K端官网下载收集成战斗宠帕鲁宝可梦放物制口袋妖怪小k迪莫:ANWG263_j首屏背景图片预加59样式般入文S正版本包相关使用()?VZLM|[]{}'适配BQJ标签浏览器菜单隐藏尝试完挂节点提示7请微信扫码态页语言奖励去除就没有H、导魂鸣测复选框二答题场你倾向哪种探索？z三结果户匹推荐您命分享给好即抽五活动规则●登录后始谁同行伙伴参概率获得购卡资格取直接领次机会（仅限）；及链再间上数最多轮每品被所量止仍池电子$份日元欧洲地区支持根据访问如识别异常面准不互范围安排当律平台政采条件确定部能无或具体查询我看若兑换息由此岁且己权效账号维护公性出现括但恶意刷弊等情况检违反消其并保留追究责任联运诸因素抗络线路故障计算大模瘫痪积原难继各调整暂停理措施益表损失非约时内未供真实错误承担全海报前备这来板处对应英雄另闭按钮切語弹窗灰色遮罩层特脸书到粘贴启快四【】横客已*%#X底第站社媒@邀锁福利务更里程碑类控状达目+汉仪圆简项级管变置避免散落阅读跳跃白做兼退阿拉伯捷德西班牙美芬兰菲宾印尼韩马荷波葡俄泰土耳越南繁湾陆业缩写环境判断显普需他星独填密钥奕瞻址拼默认必人稍~化介渠道属临鉴须还坡系注要修改透传货昵称头像序嵌否授求返重进先赋值字销校验交兜空高封装功败输流函绑服逻辑候束议库走外都该浮足执例考域额指事尽缀脚队列触→径超覆盖弱核防双清依赖何符串含殊编形掉严比较义析^\尾证末添也象替位视拆归转虽然携带组沿际身枚举污染洗纯允许杠左右论把跑起随截省总长型度…绪缓话呈案艾私剪初才降迁移至顶操	`踏邂逅栖亚鲜久术技巧驯幻兽神潮布便办从投稿逊卷喜欢奇热静淡熟悉感深思虑仔细想找优突慌心梳受干拿遇决睡觉吧说又呆着攻今跟聚犹狠休儿近质很而温趣划明沉稳谢恭遗憾馨择摄忙竖设往オープンワルド・モスタ収代へ『』はのたな進ですレイヤロコとってにカシア陸るジニちいまあふれこをし種個豊かうがきも長絆育みフェ戦術試値より腕キグダムゲクリチャッテトズβウポケパ鳴ネソベ診緒険仲間見つけょ後結画くださ際ハュ「」付ギ月～催者況確認開設選む対らお様終発予賞覧円　計そ貨変せん資び令規ラォ調達基づ決場詳細ペごめ為運営該無効領報酬ど悪質応じ講天災害や実継続困難セ時ユザ損責帰知わ誤備負歳獲募ぐ舞検動慣親え論適題肝ほず余裕寝遊誘気番徴穏ばゃ済残ピボざ念択マホメ読押混雑少々縦別储遍历针绘记途楚两照宽键盘那刻固渲局惠顾礼尚击埋 */


.clean_storage {position: fixed;left: .2rem;top: .5rem;font-size: .25rem;color: #fff;font-family: initial;border: .01rem solid #fff;box-sizing: border-box;padding: .2rem;z-index: 999;}
.ipadress {position: absolute;font-size: .25rem;left: .1rem;top: 1.5rem;z-index: 900;color: #fff;}